<form class="form" (ngSubmit)="onSubmit()">
  <div class="form-group">
    <label class="form-label" for="tipoUsuario">Tipo de usuario:</label>
    <select class="form-select" id="tipoUsuario" [(ngModel)]="tipoUsuario" name="tipoUsuario" (change)="onTipoUsuarioChange(tipoUsuario)">
      <option value="paciente">Paciente</option>
      <option value="medico">Médico</option>
    </select>
  </div>
  <div class="form-group">
    <label class="form-label" for="usuario">Usuario:</label>
    <input class="form-control" type="text" id="usuario" [(ngModel)]="usuario.usuario" name="usuario" required>
  </div>
  <div class="form-group">
    <label class="form-label" for="nombre">Nombre:</label>
    <input class="form-control" type="text" id="nombre" [(ngModel)]="usuario.nombre" name="nombre" required>
  </div>
  <div class="form-group">
    <label class="form-label" for="apellidos">Apellidos:</label>
    <input class="form-control" type="text" id="apellidos" [(ngModel)]="usuario.apellidos" name="apellidos" required>
  </div>
  <div class="form-group">
    <label class="form-label" for="clave">Contraseña:</label>
    <input class="form-control" type="password" id="clave" [(ngModel)]="usuario.clave" name="clave" required>
  </div>

  <!-- Campos específicos de PacienteDTO -->
  <ng-container *ngIf="tipoUsuario === 'paciente'">
    <div class="form-group">
      <label class="form-label" for="NSS">NSS:</label>
      <input class="form-control" type="text" id="NSS" [(ngModel)]="asPaciente(usuario).nss" name="NSS" required>
    </div>
    <div class="form-group">
      <label class="form-label" for="numTarjeta">Número de tarjeta:</label>
      <input class="form-control" type="text" id="numTarjeta" [(ngModel)]="asPaciente(usuario).numTarjeta" name="numTarjeta" required>
    </div>
    <div class="form-group">
      <label class="form-label" for="telefono">Teléfono:</label>
      <input class="form-control" type="text" id="telefono" [(ngModel)]="asPaciente(usuario).telefono" name="telefono" required>
    </div>
    <div class="form-group">
      <label class="form-label" for="direccion">Dirección:</label>
      <input class="form-control" type="text" id="direccion" [(ngModel)]="asPaciente(usuario).direccion" name="direccion" required>
    </div>
  </ng-container>
  <ng-container *ngIf="tipoUsuario === 'medico'">
      <div class="form-group">
        <label class="form-label" for="numColegiado">Número de colegiado:</label>
        <input class="form-control" type="text" id="numColegiado" [(ngModel)]="asMedico(usuario).numColegiado" name="numColegiado" required>
      </div>
    </ng-container>

    <div class="form-group">
        <button type="submit" class="btn btn-primary">Registrar</button>
    </div>
</form>
